package domain


type AlibabaRetailMarketingBuygiftSkuQueryLimitDTO struct {
    /*
        活动商品总限购     */
    TotalLimitCnt  *int64 `json:"total_limit_cnt,omitempty" `

    /*
        每日总限购     */
    DailyTotalLimitCnt  *int64 `json:"daily_total_limit_cnt,omitempty" `

    /*
        用户总限购     */
    UserTotalLimitCnt  *int64 `json:"user_total_limit_cnt,omitempty" `

    /*
        用户每日限购     */
    UserDailyLimitCnt  *int64 `json:"user_daily_limit_cnt,omitempty" `

    /*
        每单限购     */
    OrderLimitCnt  *int64 `json:"order_limit_cnt,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftSkuQueryLimitDTO) SetTotalLimitCnt(v int64) *AlibabaRetailMarketingBuygiftSkuQueryLimitDTO {
    s.TotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryLimitDTO) SetDailyTotalLimitCnt(v int64) *AlibabaRetailMarketingBuygiftSkuQueryLimitDTO {
    s.DailyTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryLimitDTO) SetUserTotalLimitCnt(v int64) *AlibabaRetailMarketingBuygiftSkuQueryLimitDTO {
    s.UserTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryLimitDTO) SetUserDailyLimitCnt(v int64) *AlibabaRetailMarketingBuygiftSkuQueryLimitDTO {
    s.UserDailyLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryLimitDTO) SetOrderLimitCnt(v int64) *AlibabaRetailMarketingBuygiftSkuQueryLimitDTO {
    s.OrderLimitCnt = &v
    return s
}
